## org.apache.batik.svggen.font.table
Class MaxpTable

    java.lang.Object
      org.apache.batik.svggen.font.table.MaxpTable

All Implemented Interfaces:
  Table

public class MaxpTable
extends java.lang.Object
implements Table

Field Summary

Fields inherited from interface org.apache.batik.svggen.font.table.Table

`BASE, CFF, cmap, cvt, DSIG, EBDT, EBLC, EBSC, encodingArabic, encodingArmenian, encodingASCII, encodingBengali, encodingBurmese, encodingChinese, encodingDevanagari, encodingGeez, encodingGeorgian, encodingGreek, encodingGujarati, encodingGurmukhi, encodingHebrew, encodingISO10646, encodingISO8859_1, encodingJapanese, encodingKannada, encodingKhmer, encodingKorean, encodingLaotian, encodingMalayalam, encodingMaldivian, encodingMongolian, encodingOriya, encodingRoman, encodingRSymbol, encodingRussian, encodingSindhi, encodingSinhalese, encodingSlavic, encodingTamil, encodingTelugu, encodingThai, encodingTibetan, encodingUGL, encodingUndefined, encodingUninterp, encodingVietnamese, fpgm, fvar, gasp, GDEF, glyf, GPOS, GSUB, hdmx, head, hhea, hmtx, JSTF, kern, languageArabic, languageBEL, languageBGR, languageCAT, languageChinese, languageCSY, languageDAN, languageDanish, languageDEA, languageDEC, languageDEL, languageDES, languageDEU, languageDutch, languageELL, languageENA, languageENC, languageENG, languageEnglish, languageENI, languageENU, languageENZ, languageESM, languageESN, languageESP, languageETI, languageEUQ, languageFIN, languageFinnish, languageFRA, languageFRB, languageFRC, languageFrench, languageFRL, languageFRS, languageGerman, languageGreek, languageHebrew, languageHindi, languageHUN, languageIcelandic, languageISL, languageITA, languageItalian, languageITS, languageJapanese, languageLTH, languageLVI, languageMaltese, languageNLB, languageNLD, languageNON, languageNOR, languageNorwegian, languagePLK, languagePortuguese, languagePTB, languagePTG, languageROM, languageRUS, languageSHL, languageSKY, languageSLV, languageSpanish, languageSQI, languageSVE, languageSwedish, languageThai, languageTRK, languageTurkish, languageUKR, languageUrdu, languageYugoslavian, loca, LTSH, maxp, MMFX, MMSD, name, nameCopyrightNotice, nameFontFamilyName, nameFontSubfamilyName, nameFullFontName, namePostscriptName, nameTrademark, nameUniqueFontIdentifier, nameVersionString, OS_2, PCLT, platformAppleUnicode, platformISO, platformMacintosh, platformMicrosoft, post, prep, VDMX, vhea, vmtx`

Constructor Summary
`protected` `MaxpTable(DirectoryEntry de, java.io.RandomAccessFile raf)`

Method Summary
`int` `getMaxComponentDepth()`
`int` `getMaxComponentElements()`
`int` `getMaxCompositeContours()`
`int` `getMaxCompositePoints()`
`int` `getMaxContours()`
`int` `getMaxFunctionDefs()`
`int` `getMaxInstructionDefs()`
`int` `getMaxPoints()`
`int` `getMaxSizeOfInstructions()`
`int` `getMaxStackElements()`
`int` `getMaxStorage()`
`int` `getMaxTwilightPoints()`
`int` `getMaxZones()`
`int` `getNumGlyphs()`
`int` `getType()` Get the table type, as a table directory value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxpTable

    protected MaxpTable(DirectoryEntry de,
                        java.io.RandomAccessFile raf)
                 throws java.io.IOException

Method Detail

### getMaxComponentDepth

    public int getMaxComponentDepth()

### getMaxComponentElements

    public int getMaxComponentElements()

### getMaxCompositeContours

    public int getMaxCompositeContours()

### getMaxCompositePoints

    public int getMaxCompositePoints()

### getMaxContours

    public int getMaxContours()

### getMaxFunctionDefs

    public int getMaxFunctionDefs()

### getMaxInstructionDefs

    public int getMaxInstructionDefs()

### getMaxPoints

    public int getMaxPoints()

### getMaxSizeOfInstructions

    public int getMaxSizeOfInstructions()

### getMaxStackElements

    public int getMaxStackElements()

### getMaxStorage

    public int getMaxStorage()

### getMaxTwilightPoints

    public int getMaxTwilightPoints()

### getMaxZones

    public int getMaxZones()

### getNumGlyphs

    public int getNumGlyphs()

### getType

    public int getType()

  Description copied from interface: `Table`
  Get the table type, as a table directory value.

  Specified by:
    `getType` in interface `Table`
  Returns:
    The table type

Copyright © 2004 Apache Software Foundation. All Rights Reserved.